//---------------------------------------------------------------------------

#ifndef CDSFontFH
#define CDSFontFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <stdio.h>
#include <ADODB.hpp>
#include <DB.hpp>
#include <SyncObjs.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
#include <GIFimg.hpp>
//---------------------------------------------------------------------------
#include "ITSLibF.h"
#include "CDSItsObjectF.h"
//---------------------------------------------------------------------------

class TCDSFontName
{
public:
    TCDSFontName();
    ~TCDSFontName();

public:
    int         VMS_FONT_NAME_CD;   //	N	NUMBER(3)	    N	0		VMS 글꼴 명칭 코드
    AnsiString  VMS_FONT_NAME_NM;   //	N	VARCHAR2(60)	Y			VMS 글꼴 명칭
    AnsiString  USE_YN;             //	N	CHAR(1)	        Y	'N'		사용 여부
};
//---------------------------------------------------------------------------

class TCDSFontColor
{
public:
    TCDSFontColor();
    ~TCDSFontColor();

public:
    int         VMS_FONT_COLR_CD;   //	N	NUMBER(3)	    N	0		VMS 글꼴 색상 코드
    AnsiString  VMS_FONT_COLR_NM;   //	N	VARCHAR2(60)	Y			VMS 글꼴 색상 명칭
    int         VMS_FONT_COLR_VAL;  //	N	NUMBER(10)	    Y			VMS 글꼴 색상 값
    AnsiString  USE_YN;             //	N	CHAR(1)	        Y	'N'		사용 여부
};
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
class TCDSFontManager : public TCDSItsObject
{
public:
    TCDSFontManager();
    ~TCDSFontManager();

private:

public:
    TItsMap<int, TCDSFontName*>  FNames;
    TItsMap<int, TCDSFontColor*> FColors;

public:
    int LoadFontInfo(TADOConnection *ADbConn);
    int LoadFontNameInfo(TADOConnection *ADbConn);
    int LoadFontColorInfo(TADOConnection *ADbConn);
};
//---------------------------------------------------------------------------
extern TCDSFontManager *CDSFontManager;
typedef std::map<int, TCDSFontName*>::iterator  FontNameItr;
typedef std::map<int, TCDSFontColor*>::iterator FontColorItr;
//---------------------------------------------------------------------------

#endif
